Package org.gradle.api.component

## Interface SoftwareComponentFactory

-     public interface SoftwareComponentFactory

  A software component factory is responsible for providing to plugins a way to create software components. Currently the software factory only allows the creation of adhoc software components which can be used for publishing simple components. This is the case whenever there's no component model to be used and that the plugin can solely rely on outgoing variants to publish variants.
  Since:
    5.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AdhocComponentWithVariants` | `adhoc​(String name)` | Creates an adhoc software component, which can be used by plugins to build custom component types.

- - ### Method Detail

    - #### adhoc

          AdhocComponentWithVariants adhoc​(String name)

      Creates an adhoc software component, which can be used by plugins to build custom component types.
      Parameters:
        `name` - the name of the component
      Returns:
        the created component, which must be added to the components container later
      Since:
        5.3